<?php
/**
 *
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Infomodus\Upslabel\Controller\Pdf;

class One extends \Infomodus\Upslabel\Controller\Pdf
{
    /**
     * Customer address edit action
     *
     * @return \Magento\Framework\Controller\Result\Forward
     */
    public function execute()
    {
        $labelId = $this->getRequest()->getParam('label_id', NULL);
        if ($labelId !== NULL) {
            $data = $this->_pdf->createPDF($labelId);
            if ($data !== FALSE) {
                return $this->fileFactory->create(
                    'ups_shipping_labels.pdf',
                    $data->render(),
                    \Magento\Framework\App\Filesystem\DirectoryList::VAR_DIR,
                    'application/pdf'
                );
            }
            else {
                $this->resultRedirectFactory->create()->setUrl($this->_buildUrl('*/*/'));
            }
        }
        else {
            $this->resultRedirectFactory->create()->setUrl($this->_buildUrl('*/*/'));
        }
    }
}
